> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get drivers



## OpenAPI

````yaml /openapi/fleet.json get /v1/fleet/drivers/
openapi: 3.0.3
info:
  title: Yume API — Автопарк
  version: 1.0.0
  description: Управление автопарком.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/fleet/drivers/:
    get:
      tags:
        - drivers
      summary: Get drivers
      operationId: drivers_list
      parameters:
        - in: query
          name: client
          schema:
            type: integer
        - in: query
          name: client__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedFleetDriverList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedFleetDriverList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/FleetDriver'
    FleetDriver:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        yandex_id:
          type: string
          maxLength: 64
        park_id:
          type: string
          nullable: true
          maxLength: 64
        created_date:
          type: string
          format: date-time
          nullable: true
        first_name:
          type: string
          nullable: true
          maxLength: 128
        last_name:
          type: string
          nullable: true
          maxLength: 128
        middle_name:
          type: string
          nullable: true
          maxLength: 128
        phones:
          type: array
          items:
            type: string
            maxLength: 32
        email:
          type: string
          format: email
          nullable: true
          maxLength: 255
        work_rule_id:
          type: string
          nullable: true
          maxLength: 64
        work_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/WorkStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        providers:
          type: array
          items:
            type: string
            maxLength: 255
        hire_date:
          type: string
          format: date-time
          nullable: true
        fire_date:
          type: string
          format: date-time
          nullable: true
        comment:
          type: string
          nullable: true
        type:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/TypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        deaf:
          type: boolean
          nullable: true
        has_contract_issue:
          type: boolean
          nullable: true
        license_number:
          type: string
          nullable: true
          maxLength: 64
        license_country:
          type: string
          nullable: true
          maxLength: 8
        license_issue_date:
          type: string
          format: date-time
          nullable: true
        license_expiration_date:
          type: string
          format: date-time
          nullable: true
        license_birth_date:
          type: string
          format: date-time
          nullable: true
        current_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/CurrentStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        current_status_updated_at:
          type: string
          format: date-time
          nullable: true
        account_id:
          type: string
          nullable: true
          maxLength: 64
        account_type:
          type: string
          nullable: true
          maxLength: 32
        account_balance:
          type: string
          nullable: true
          maxLength: 32
        account_balance_limit:
          type: string
          nullable: true
          maxLength: 32
        account_currency:
          type: string
          nullable: true
          maxLength: 8
        account_last_transaction_date:
          type: string
          format: date-time
          nullable: true
        yandex_updated_at:
          type: string
          format: date-time
          nullable: true
        synced_at:
          type: string
          format: date-time
          nullable: true
        tenant:
          type: integer
        client:
          type: integer
        car:
          type: integer
          nullable: true
      required:
        - client
        - created_at
        - id
        - updated_at
        - yandex_id
    WorkStatusEnum:
      enum:
        - working
        - not_working
        - fired
      type: string
      description: |-
        * `working` - На линии
        * `not_working` - Не на линии
        * `fired` - Уволен
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    TypeEnum:
      enum:
        - selfemployed
        - park_employee
        - individual_entrepreneur
      type: string
      description: |-
        * `selfemployed` - Самозанятый
        * `park_employee` - Сотрудник парка
        * `individual_entrepreneur` - ИП
    CurrentStatusEnum:
      enum:
        - offline
        - busy
        - free
        - in_order_free
        - in_order_busy
      type: string
      description: |-
        * `offline` - Не в сети
        * `busy` - Занят
        * `free` - Свободно
        * `in_order_free` - На заказе, свободен
        * `in_order_busy` - На заказе, занят
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````